find_package(GTest REQUIRED)

add_executable(tests filter-test.cpp
                     util-test.cpp
)
target_link_libraries(tests  GTest::gtest_main app_lib)

include(GoogleTest)
gtest_discover_tests(tests)
